package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.business.vo.PlanClassifyTreeVo;
import com.yeejoin.amos.fas.dao.entity.PlanClassifyTree;

import java.util.Collection;

/**
 * @author wjk
 * @date 2021-01-14
 * 预案分类树
 */
public interface IPlanClassifyTreeService {

    PlanClassifyTree save(PlanClassifyTree model);

    Boolean delete(String ids);

    Collection<PlanClassifyTreeVo> getTree();

    /**
     * 获取所有子项（包含自身）
     * @param root 根节点ID
     * @return
     */
    Collection<PlanClassifyTreeVo> getAllChildIncludeMe(Long root);

    PlanClassifyTree create(PlanClassifyTree model);

    PlanClassifyTree update(PlanClassifyTree model);
}
